
TYPO3.Neos - Bug # 50954

Status: Resolved Priority: Should have
Author: Christian Wolff Category:
Created: 2013-08-09 Assigned To: Karsten Dambekalns
Updated: 2013-08-12 Due date:
Subject: Alpha-5: Class TYPO3\Flow\Composer\InstallerScripts is not autoloadable
Description

Hi i have been trying to Install Alpha 5: as described on the website.

The composer install runs fine until the custom install tryis to run:

Generating autoload files
Class TYPO3\Flow\Composer\InstallerScripts is not autoloadable, can not call post-install-cmd script

therefore the flow directory structure is not correctly generated:

here is an List of the directory Struckture i have after the install:

drwxr-xr-x  12 chris  chris    408  9 Aug 09:39 .
drwxr-xr-x   9 chris  chris    306  9 Aug 09:32 ..
rw-r--r-   1 chris  chris    312  9 Aug 09:32 .gitignore
drwxr-xr-x   6 chris  chris    204  9 Aug 09:36 Build
drwxr-xr-x   3 chris  chris    102  9 Aug 09:32 Configuration
drwxr-xr-x   6 chris  chris    204  9 Aug 09:36 Packages
drwxr-xr-x   3 chris  chris    102  9 Aug 09:32 Tests
drwxr-xr-x   3 chris  chris    102  9 Aug 09:32 Web
drwxr-xr-x   5 chris  chris    170  9 Aug 09:37 bin
rw-r--r-   1 chris  chris   1455  9 Aug 09:32 build.xml
rw-r--r-   1 chris  chris    801  9 Aug 09:32 composer.json
rw-r--r-   1 chris  chris  61590  9 Aug 09:37 composer.lock

my commandline to install / Geather the composer loging data:
composer create-project -vvv --dev --stability alpha typo3/neos-base-distribution NeosX > composer_neos.log

system data:
Mac OS X 10.8.4
Composer version 30fb3d48fee4b3b53d7b140525c230a49ad08f05
php version:
PHP 5.3.15 with Suhosin-Patch (cli) (built: Aug 28 2012 18:19:13) 
Copyright (c) 1997-2012 The PHP Group
Zend Engine v2.3.0, Copyright (c) 1998-2012 Zend Technologies

if you need any other help or information am glad to help

History
#1 - 2013-08-09 11:48 - Wolfgang Wagner

Same here, tried with PHP 5.3.26 and 5.4.16.
#2 - 2013-08-09 14:21 - Jan Kiesewetter

Same here, PHP 5.3.15.

#3 - 2013-08-09 19:43 - Benjamin Albrecht

Same here with PHP 5.4.17 and PHP and 5.3.26:
"composer create-project -s alpha typo3/neos-base-distribution neos" doesn't work

Installing the flow-base-distribution works fine:
"composer create-project -s alpha typo3/flow-base-distribution flow"

#4 - 2013-08-11 22:11 - Karsten Dambekalns
- Status changed from New to On Hold
- Assigned To set to Karsten Dambekalns

This is caused by a bug in Composer, see http://forum.typo3.org/index.php/t/198208/ for some details.

#5 - 2013-08-12 09:01 - Jan Kiesewetter

I can confirm that it works now with the patched or a new composer version (patch was merged). Thanks!

#6 - 2013-08-12 10:51 - Karsten Dambekalns
- Status changed from On Hold to Resolved
- % Done changed from 0 to 100

Update composer to the latest version to have this fixed.

Files
composer_neos.log 52.8 kB 2013-08-09 Christian Wolff
php_error.log 1.8 kB 2013-08-09 Christian Wolff
